#!/bin/sh

#GPU=GTXTitanBlack
#GPU=TeslaK20c
#GPU=GTX580
#GPU=GTX750Ti

IN=IN-large
IN=IN
GPU=`../src/get_dev_info | awk '/DEVICE/{ gsub(/^[A-Za-z0-9]*-/,"",$2); gsub(/-/,""); print $2; }'`

EXEC=''
OPTIONAL=-large
OPTIONAL=''

#$EXEC ./test2-sgemv-n $IN | tee log-ASPEN.K2-1.5-SGEMVN-$GPU$OPTIONAL
#$EXEC ./test2-sgemv-t $IN | tee log-ASPEN.K2-1.5-SGEMVT-$GPU$OPTIONAL
$EXEC ./test2-ssymv-u $IN | tee log-ASPEN.K2-1.5p2-SSYMVU-$GPU$OPTIONAL
$EXEC ./test2-ssymv-l $IN | tee log-ASPEN.K2-1.5p2-SSYMVL-$GPU$OPTIONAL

#$EXEC ./test2-dgemv-n $IN | tee log-ASPEN.K2-1.5-DGEMVN-$GPU$OPTIONAL
#$EXEC ./test2-dgemv-t $IN | tee log-ASPEN.K2-1.5-DGEMVT-$GPU$OPTIONAL
$EXEC ./test2-dsymv-u $IN | tee log-ASPEN.K2-1.5p2-DSYMVU-$GPU$OPTIONAL
$EXEC ./test2-dsymv-l $IN | tee log-ASPEN.K2-1.5p2-DSYMVL-$GPU$OPTIONAL

exit

#$EXEC ./cuda-sgemv-n $IN | tee log-CUDA-6.5-SGEMVN-$GPU$OPTIONAL
#$EXEC ./cuda-sgemv-t $IN | tee log-CUDA-6.5-SGEMVT-$GPU$OPTIONAL
#$EXEC ./cuda-ssymv-u $IN | tee log-CUDA-6.5-SSYMVU-$GPU$OPTIONAL
$EXEC ./cuda-ssymv-l $IN | tee log-CUDA-6.5-SSYMVL-$GPU$OPTIONAL

#$EXEC ./cuda-dgemv-n $IN | tee log-CUDA-6.5-DGEMVN-$GPU$OPTIONAL
#$EXEC ./cuda-dgemv-t $IN | tee log-CUDA-6.5-DGEMVT-$GPU$OPTIONAL
#$EXEC ./cuda-dsymv-u $IN | tee log-CUDA-6.5-DSYMVU-$GPU$OPTIONAL
$EXEC ./cuda-dsymv-l $IN | tee log-CUDA-6.5-DSYMVL-$GPU$OPTIONAL

$EXEC ./magma-sgemv-n $IN | tee log-MAGMA-1.6.0-SGEMVN-$GPU$OPTIONAL
$EXEC ./magma-sgemv-t $IN | tee log-MAGMA-1.6.0-SGEMVT-$GPU$OPTIONAL
$EXEC ./magma-ssymv-u $IN | tee log-MAGMA-1.6.0-SSYMVU-$GPU$OPTIONAL
$EXEC ./magma-ssymv-l $IN | tee log-MAGMA-1.6.0-SSYMVL-$GPU$OPTIONAL

$EXEC ./magma-dgemv-n $IN | tee log-MAGMA-1.6.0-DGEMVN-$GPU$OPTIONAL
$EXEC ./magma-dgemv-t $IN | tee log-MAGMA-1.6.0-DGEMVT-$GPU$OPTIONAL
$EXEC ./magma-dsymv-u $IN | tee log-MAGMA-1.6.0-DSYMVU-$GPU$OPTIONAL
$EXEC ./magma-dsymv-l $IN | tee log-MAGMA-1.6.0-DSYMVL-$GPU$OPTIONAL

$EXEC ./kblas-sgemv-n $IN | tee log-KBLAS-1.2-SGEMVN-$GPU$OPTIONAL
$EXEC ./kblas-sgemv-t $IN | tee log-KBLAS-1.2-SGEMVT-$GPU$OPTIONAL
$EXEC ./kblas-ssymv-u $IN | tee log-KBLAS-1.2-SSYMVU-$GPU$OPTIONAL
$EXEC ./kblas-ssymv-l $IN | tee log-KBLAS-1.2-SSYMVL-$GPU$OPTIONAL

$EXEC ./kblas-dgemv-n $IN | tee log-KBLAS-1.2-DGEMVN-$GPU$OPTIONAL
$EXEC ./kblas-dgemv-t $IN | tee log-KBLAS-1.2-DGEMVT-$GPU$OPTIONAL
$EXEC ./kblas-dsymv-u $IN | tee log-KBLAS-1.2-DSYMVU-$GPU$OPTIONAL
$EXEC ./kblas-dsymv-l $IN | tee log-KBLAS-1.2-DSYMVL-$GPU$OPTIONAL


